<!DOCTYPE HTML>
<html lang="en">
<head>
    <link rel="stylesheet" type="text/css" href="HomeCSS.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="utils.js" charset="utf-8" defer></script>
    <script src="homeManagement.js" charset="utf-8" defer></script>

    
    <script>
    $( function() {
      $( "#id_albumlist" ).sortable({
      update: function( event, ui ) {
    	  document.getElementById("id_saveorderbutton").style.display = "block";
      }
  });
    } );
    </script>
    <title>Image Gallery</title>
</head>
<body>

  <div class="topnav">
    <a id="id_logoutbutton" href="Logout"><i class="fa fa-fw fa-sign-out"></i> Logout</a>
    <a id="id_backtohomepage"><i class="fa fa-fw fa-home"></i> Home</a>   
  </div>
  
  <div id="alertmessage"></div>
    <div id="albumlistcontainer">
        <h1>Welcome to your image gallery, <span id="id_username"></span></h1>
        <a id="id_addalbumbutton"><i class="fa fa-fw fa-plus"></i> Add New Album</a>
        <form id="id_addalbumform">
        	<input type="text" name="title" placeholder="Album title">
        	<input type="button" name="submit" value="Create" >
        </form>   
        <ul id="id_albumlist"></ul>
         <a id="id_saveorderbutton"><i class="fa fa-fw fa-save"></i> Save Order</a>   
    </div>

	<div id="albumpagecontainer">
		<h1 id="id_albumtitle"></h1>
		<div id="id_addimagebuttondiv"><a id="id_addimagebutton"><i class="fa fa-fw fa-plus"></i> New Image</a> </div>  
		<div id="addimageformcontainer" >
		<form id="id_addimageform" enctype="multipart/form-data">
			<label for="title">Title: </label>
			<input type="text" name="title" style ="margin-bottom: 20px" required><br> 
			<label for="text">Description: </label>		
			<input type="text" name="text" style ="margin-bottom: 20px"><br>
			<label for="file">File: </label>				
			<input type="file" name="file" style ="margin-bottom: 20px" accept="image/*">
			<input type="hidden" name="idalbum">
			<input type="hidden" name="albumtitle">
			<input type="button" id="uploadimgbtn" name="submit" value="Upload">
			<input type="button" class="cancelbutton" name="cancel" value="Cancel">
		</form>	
		</div>	
		<div id="row">
				<button id="id_prev">&#10094;</button>
		
			<div class="image">
				<img id="img1" width="200">
				<p></p>
			</div>
			<div class="image">
				<img id="img2" width="200">
				<p></p>
			</div>
			<div class="image">
				<img id="img3" width="200">
				<p></p>
			</div>
			<div class="image">
				<img id="img4" width="200">
				<p></p>
			</div>
			<div class="image">
				<img id="img5" width="200">
				<p></p>
			</div>
				<button id="id_next">&#10095;</button>
		
		</div>
	
	</div>

	<div id="id_modal" class="modal">
      <span class="close">&times;</span>
      <img class="modal-content" id="id_imagetodisplay">
      
      <div id="id_imagedetailscontainer">
      	<h1></h1>
      	<p></p>
      	<p></p>
      </div>
      
      <div id="id_commentcontainer"></div>
      
      <form id="id_addcommentform">
        <input type="text" name="text" placeholder="Write a comment"><br>
        <input type="hidden" name="idimage"><br>
        <input type="hidden" name="idalbum"><br>
        <input type="button" name="submit" value="Add comment" >
        <div id="id_addcommentalertmessage"></div>
        
      </form>
    </div>
</body>
</html>
